Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread James
Hi Christian,

Did you get that URL I sent you?  Did it look strange in any way?

I've also been experimenting with git-svn + post-review, hoping that
might work better.  Unfortunately, it doesn't, but at least it's a
different problem:

$ post-review -dn
 svn info
 git rev-parse --git-dir
 git symbolic-ref -q HEAD
 git svn info
 repository info: Path: http://svn.company.net/svn/repositories/company, 
 Base path: /Project/trunk, Supports changesets: False
 git merge-base master refs/heads/reviewboard-test
 git diff --no-color --no-prefix -r -u 
 f58148b4094952c076861bcf4a9714ed7093d9ad..refs/heads/reviewboard-test
 git svn find-rev f58148b4094952c076861bcf4a9714ed7093d9ad
None

The issue is that git svn find-rev returns nothing when passed a git
revision.  It works when passed a subversion revision number, though.
Have you seen that before?  Google didn't turn up anything.

-James


On Oct 20, 8:12 am, James jbaldass...@gmail.com wrote:
 Sure, I'll send you the URL.  Thanks for looking into it.

 -James

 On Oct 19, 8:09 pm, Christian Hammond chip...@chipx86.com wrote:

  Hi James,

  That is indeed strange. Without seeing the URL, it's hard to say. Is this
  indeed a fully-qualified domain?

  Just as a sanity check, would you feel comfortable e-mailing me privately
  the full path?

  Christian

  --
  Christian Hammond - chip...@chipx86.com
  Review Board -http://www.reviewboard.org
  VMware, Inc. -http://www.vmware.com

  On Tue, Oct 19, 2010 at 4:26 PM, James jbaldass...@gmail.com wrote:
   Hi,

   I seem to be having the same problem as is described in this post:

  http://groups.google.com/group/reviewboard/browse_thread/thread/96cc5...

   On the client (post-review) side I see this:

   ---

   Enter username and password for Please Enter Your [DOMAIN] LDAP
   Credentials at reviewboard.domain.net
   Username: user
   Password:
HTTP GETting /api/json/repositories/1/info/
Got API Error 210 (HTTP code 200): There was an error fetching 
extended
   information for this repository.
Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': u'fail',
   u'err': {u'msg': u'There was an error fetching extended information for 
   this
   repository.', u'code': 210}}
HTTP GETting /api/json/repositories/4/info/
Got API Error 210 (HTTP code 200): There was an error fetching 
extended
   information for this repository.
Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': u'fail',
   u'err': {u'msg': u'There was an error fetching extended information for 
   this
   repository.', u'code': 210}}
Attempting to create review request on
  http://svn.domain.net/svn/repositories/repoforNone
HTTP POSTing to
  http://reviewboard.domain.net/api/json/reviewrequests/new/:
   {'repository_path': 'http://svn.domain.net/svn/repositories/repo'}
Review request created
Uploading diff, size: 18990
HTTP POSTing to
  http://reviewboard.domain.net/api/json/reviewrequests/31/diff/new/:
   {'basedir': '/dir1/trunk'}
Got API Error 105 (HTTP code 200): One or more fields had errors
Error data: {u'fields': {u'path': [uURL '
  http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'is
   malformed or the scheme or host or path is missing]}, u'stat': u'fail',
   u'err': {u'msg': u'One or more fields had errors', u'code': 105},
   u'deprecated': {u'in_version': u'1.5'}}

   Error uploading diff

   The generated diff file was empty. This usually means no files were
   modified in this change.

   ---

   On the server side i see this:

   ---

   2010-10-19 19:07:20,764 - DEBUG - DiffParser.parse: Beginning parse of
   diff, size = 18990
   2010-10-19 19:07:20,766 - DEBUG - DiffParser.parse: Finished parsing
   diff.
   2010-10-19 19:07:20,767 - ERROR - Error uploading new diff: URL
   'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'
   is malformed or the scheme or host or path is missing
   Traceback (most recent call last):
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/webapi/json.py, line 1169, in new_diff
      request.FILES.get('parent_diff_path'))
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/reviews/forms.py, line 249, in create
      history)
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/diffviewer/forms.py, line 62, in create
      files = list(self._process_files(
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/diffviewer/forms.py, line 144, in _process_files
      if (revision != PRE_CREATION and
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/scmtools/core.py, line 68, in file_exists
      self.get_file(path, revision)
    File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
   reviewboard/scmtools/svn.py, line 144, in get_file
      raise SCMError(e)
   SCMError: URL 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread James
Well I figured out one issue.  There was some problem with my git
repository.  I did a fresh git svn clone, and I didn't have that find-
rev problem any more.  However, now I'm back to the original SCMError
saying that the URL is malformed or the scheme or host or path is
missing on the ReviewBoard server.

-James


On Oct 21, 3:00 pm, James jbaldass...@gmail.com wrote:
 Hi Christian,

 Did you get that URL I sent you?  Did it look strange in any way?

 I've also been experimenting with git-svn + post-review, hoping that
 might work better.  Unfortunately, it doesn't, but at least it's a
 different problem:

 $ post-review -dn svn info
  git rev-parse --git-dir
  git symbolic-ref -q HEAD
  git svn info
  repository info: Path:http://svn.company.net/svn/repositories/company, 
  Base path: /Project/trunk, Supports changesets: False
  git merge-base master refs/heads/reviewboard-test
  git diff --no-color --no-prefix -r -u 
  f58148b4094952c076861bcf4a9714ed7093d9ad..refs/heads/reviewboard-test
  git svn find-rev f58148b4094952c076861bcf4a9714ed7093d9ad

 None

 The issue is that git svn find-rev returns nothing when passed a git
 revision.  It works when passed a subversion revision number, though.
 Have you seen that before?  Google didn't turn up anything.

 -James

 On Oct 20, 8:12 am, James jbaldass...@gmail.com wrote:

  Sure, I'll send you the URL.  Thanks for looking into it.

  -James

  On Oct 19, 8:09 pm, Christian Hammond chip...@chipx86.com wrote:

   Hi James,

   That is indeed strange. Without seeing the URL, it's hard to say. Is this
   indeed a fully-qualified domain?

   Just as a sanity check, would you feel comfortable e-mailing me privately
   the full path?

   Christian

   --
   Christian Hammond - chip...@chipx86.com
   Review Board -http://www.reviewboard.org
   VMware, Inc. -http://www.vmware.com

   On Tue, Oct 19, 2010 at 4:26 PM, James jbaldass...@gmail.com wrote:
Hi,

I seem to be having the same problem as is described in this post:

   http://groups.google.com/group/reviewboard/browse_thread/thread/96cc5...

On the client (post-review) side I see this:

---

Enter username and password for Please Enter Your [DOMAIN] LDAP
Credentials at reviewboard.domain.net
Username: user
Password:
 HTTP GETting /api/json/repositories/1/info/
 Got API Error 210 (HTTP code 200): There was an error fetching 
 extended
information for this repository.
 Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': 
 u'fail',
u'err': {u'msg': u'There was an error fetching extended information for 
this
repository.', u'code': 210}}
 HTTP GETting /api/json/repositories/4/info/
 Got API Error 210 (HTTP code 200): There was an error fetching 
 extended
information for this repository.
 Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': 
 u'fail',
u'err': {u'msg': u'There was an error fetching extended information for 
this
repository.', u'code': 210}}
 Attempting to create review request on
   http://svn.domain.net/svn/repositories/repoforNone
 HTTP POSTing to
   http://reviewboard.domain.net/api/json/reviewrequests/new/:
{'repository_path': 'http://svn.domain.net/svn/repositories/repo'}
 Review request created
 Uploading diff, size: 18990
 HTTP POSTing to
   http://reviewboard.domain.net/api/json/reviewrequests/31/diff/new/:
{'basedir': '/dir1/trunk'}
 Got API Error 105 (HTTP code 200): One or more fields had errors
 Error data: {u'fields': {u'path': [uURL '
   http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'is
malformed or the scheme or host or path is missing]}, u'stat': u'fail',
u'err': {u'msg': u'One or more fields had errors', u'code': 105},
u'deprecated': {u'in_version': u'1.5'}}

Error uploading diff

The generated diff file was empty. This usually means no files were
modified in this change.

---

On the server side i see this:

---

2010-10-19 19:07:20,764 - DEBUG - DiffParser.parse: Beginning parse of
diff, size = 18990
2010-10-19 19:07:20,766 - DEBUG - DiffParser.parse: Finished parsing
diff.
2010-10-19 19:07:20,767 - ERROR - Error uploading new diff: URL
'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'
is malformed or the scheme or host or path is missing
Traceback (most recent call last):
 File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
reviewboard/webapi/json.py, line 1169, in new_diff
   request.FILES.get('parent_diff_path'))
 File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
reviewboard/reviews/forms.py, line 249, in create
   history)
 File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
reviewboard/diffviewer/forms.py, line 62, in create
   files = list(self._process_files(
 File 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread Christian Hammond
Hi,

Yeah, got the URL, but nothing stands out as being wrong. That's very
strange.

Can you go into the admin UI, click on Repositories - your SVN repository,
and resave it? That should re-check the server for validity. If that fails,
we know something is definitely wrong there with the repository path.

Is the path set to the root of the SVN repository, or some location within
it?

I haven't seen that problem with git svn find-rev. What version of git are
you using? I know other people (ourselves included at one point) were using
git-svn locally, with Review Board hosted in SVN.

Christian

-- 
Christian Hammond - chip...@chipx86.com
Review Board - http://www.reviewboard.org
VMware, Inc. - http://www.vmware.com


On Thu, Oct 21, 2010 at 12:00 PM, James jbaldass...@gmail.com wrote:

 Hi Christian,

 Did you get that URL I sent you?  Did it look strange in any way?

 I've also been experimenting with git-svn + post-review, hoping that
 might work better.  Unfortunately, it doesn't, but at least it's a
 different problem:

 $ post-review -dn
  svn info
  git rev-parse --git-dir
  git symbolic-ref -q HEAD
  git svn info
  repository info: Path: http://svn.company.net/svn/repositories/company,
 Base path: /Project/trunk, Supports changesets: False
  git merge-base master refs/heads/reviewboard-test
  git diff --no-color --no-prefix -r -u
 f58148b4094952c076861bcf4a9714ed7093d9ad..refs/heads/reviewboard-test
  git svn find-rev f58148b4094952c076861bcf4a9714ed7093d9ad
 None

 The issue is that git svn find-rev returns nothing when passed a git
 revision.  It works when passed a subversion revision number, though.
 Have you seen that before?  Google didn't turn up anything.

 -James


 On Oct 20, 8:12 am, James jbaldass...@gmail.com wrote:
  Sure, I'll send you the URL.  Thanks for looking into it.
 
  -James
 
  On Oct 19, 8:09 pm, Christian Hammond chip...@chipx86.com wrote:
 
   Hi James,
 
   That is indeed strange. Without seeing the URL, it's hard to say. Is
 this
   indeed a fully-qualified domain?
 
   Just as a sanity check, would you feel comfortable e-mailing me
 privately
   the full path?
 
   Christian
 
   --
   Christian Hammond - chip...@chipx86.com
   Review Board -http://www.reviewboard.org
   VMware, Inc. -http://www.vmware.com
 
   On Tue, Oct 19, 2010 at 4:26 PM, James jbaldass...@gmail.com wrote:
Hi,
 
I seem to be having the same problem as is described in this post:
 
   
 http://groups.google.com/group/reviewboard/browse_thread/thread/96cc5...
 
On the client (post-review) side I see this:
 
---
 
Enter username and password for Please Enter Your [DOMAIN] LDAP
Credentials at reviewboard.domain.net
Username: user
Password:
 HTTP GETting /api/json/repositories/1/info/
 Got API Error 210 (HTTP code 200): There was an error fetching
 extended
information for this repository.
 Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat':
 u'fail',
u'err': {u'msg': u'There was an error fetching extended information
 for this
repository.', u'code': 210}}
 HTTP GETting /api/json/repositories/4/info/
 Got API Error 210 (HTTP code 200): There was an error fetching
 extended
information for this repository.
 Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat':
 u'fail',
u'err': {u'msg': u'There was an error fetching extended information
 for this
repository.', u'code': 210}}
 Attempting to create review request on
   http://svn.domain.net/svn/repositories/repoforNone
 HTTP POSTing to
   http://reviewboard.domain.net/api/json/reviewrequests/new/:
{'repository_path': 'http://svn.domain.net/svn/repositories/repo'}
 Review request created
 Uploading diff, size: 18990
 HTTP POSTing to
   http://reviewboard.domain.net/api/json/reviewrequests/31/diff/new/:
{'basedir': '/dir1/trunk'}
 Got API Error 105 (HTTP code 200): One or more fields had errors
 Error data: {u'fields': {u'path': [uURL '
   
 http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'ishttp://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml%27is
malformed or the scheme or host or path is missing]}, u'stat':
 u'fail',
u'err': {u'msg': u'One or more fields had errors', u'code': 105},
u'deprecated': {u'in_version': u'1.5'}}
 
Error uploading diff
 
The generated diff file was empty. This usually means no files were
modified in this change.
 
---
 
On the server side i see this:
 
---
 
2010-10-19 19:07:20,764 - DEBUG - DiffParser.parse: Beginning parse
 of
diff, size = 18990
2010-10-19 19:07:20,766 - DEBUG - DiffParser.parse: Finished parsing
diff.
2010-10-19 19:07:20,767 - ERROR - Error uploading new diff: URL
'
 http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'
is malformed or the scheme or host or path is missing
Traceback (most recent call last):
 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread James
I traced the problem to line 287 in svn.py:

try:
info = client.info2(path, recurse=False)
logging.debug('SVN: Got repository information for %s: %s' %
  (path, info))
except ClientError, e:
...
raise RepositoryNotFoundError()

I fired up a python shell and can now reproduce the error:
pysvn._pysvn_2_4.ClientError: URL 'http://svn.company.net/svn/
repositories/company' is malformed or the scheme or host or path is
missing

I guess that's a good first step.  It seems like this must be some
problem with pysvn, the svn client/libraries, the neon library
(LD_LIBRARY_PATH?), or the configuration of our svn server.  I'm not
really sure where to start looking next, though.  Maybe I'll try
installing ReviewBoard on my laptop and have it point to our SVN
server.  That might at least tell me if it's the client or server.

-James


On Oct 21, 7:00 pm, James jbaldass...@gmail.com wrote:
 I went into the admin UI, removed the SVN repository, and then tried
 to add it back in, but it keeps failing.  In the server logs I see:

 ERROR - SVN: Failed to get repository information 
 forhttp://svn.company.net/svn/repositories/company/:URL 'http://
 svn.company.net/svn/repositories/company' is malformed or the scheme
  or host or path is missing

 On the machine where ReviewBoard is running (which also happens to be
 where SVN is running) I did the following to make sure that it can
 talk to SVN, resolve hostnames, etc.:

 svn cohttp://svn.company.net/svn/repositories/company/project/trunk
 project

 This worked fine, so I guess SVN is working ok.  Here's the output of
 svn --version in case that helps:

 --
 svn, version 1.6.11 (r934486)
    compiled Apr 20 2010, 00:24:22

 Copyright (C) 2000-2009 CollabNet.
 Subversion is open source software, seehttp://subversion.tigris.org/
 This product includes software developed by CollabNet 
 (http://www.Collab.Net/).

 The following repository access (RA) modules are available:

 * ra_neon : Module for accessing a repository via WebDAV protocol
 using Neon.
   - handles 'http' scheme
   - handles 'https' scheme
 * ra_svn : Module for accessing a repository using the svn network
 protocol.
   - with Cyrus SASL authentication
   - handles 'svn' scheme
 * ra_local : Module for accessing a repository on local disk.
   - handles 'file' scheme
 --

 I wonder if something with the basic auth on the SVN DAV server is
 causing problems?  Does RB/SVN need to do an HTTP PROPFIND or OPTIONS
 without authenticating?

 -James

 On Oct 21, 5:33 pm, Christian Hammond chip...@chipx86.com wrote:

  Hi,

  Yeah, got the URL, but nothing stands out as being wrong. That's very
  strange.

  Can you go into the admin UI, click on Repositories - your SVN repository,
  and resave it? That should re-check the server for validity. If that fails,
  we know something is definitely wrong there with the repository path.

  Is the path set to the root of the SVN repository, or some location within
  it?

  I haven't seen that problem with git svn find-rev. What version of git are
  you using? I know other people (ourselves included at one point) were using
  git-svn locally, with Review Board hosted in SVN.

  Christian

  --
  Christian Hammond - chip...@chipx86.com
  Review Board -http://www.reviewboard.org
  VMware, Inc. -http://www.vmware.com

  On Thu, Oct 21, 2010 at 12:00 PM, James jbaldass...@gmail.com wrote:
   Hi Christian,

   Did you get that URL I sent you?  Did it look strange in any way?

   I've also been experimenting with git-svn + post-review, hoping that
   might work better.  Unfortunately, it doesn't, but at least it's a
   different problem:

   $ post-review -dn
svn info
git rev-parse --git-dir
git symbolic-ref -q HEAD
git svn info
repository info: Path:http://svn.company.net/svn/repositories/company,
   Base path: /Project/trunk, Supports changesets: False
git merge-base master refs/heads/reviewboard-test
git diff --no-color --no-prefix -r -u
   f58148b4094952c076861bcf4a9714ed7093d9ad..refs/heads/reviewboard-test
git svn find-rev f58148b4094952c076861bcf4a9714ed7093d9ad
   None

   The issue is that git svn find-rev returns nothing when passed a git
   revision.  It works when passed a subversion revision number, though.
   Have you seen that before?  Google didn't turn up anything.

   -James

   On Oct 20, 8:12 am, James jbaldass...@gmail.com wrote:
Sure, I'll send you the URL.  Thanks for looking into it.

-James

On Oct 19, 8:09 pm, Christian Hammond chip...@chipx86.com wrote:

 Hi James,

 That is indeed strange. Without seeing the URL, it's hard to say. Is
   this
 indeed a fully-qualified domain?

 Just as a sanity check, would you feel comfortable e-mailing me
   privately
 the full path?

 Christian

 --
 Christian Hammond - chip...@chipx86.com
 Review 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread James
I installed RB on my laptop, pointed it at the same SVN server, and it
works fine.  There must be something wrong with the SVN client,
libraries, or pysvn on that server.  I'm not sure what the problem is
there, but I'll either try a clean install on that machine or just
install it on a different server.

Thanks,
James


On Oct 21, 7:42 pm, James jbaldass...@gmail.com wrote:
 I traced the problem to line 287 in svn.py:

 try:
     info = client.info2(path, recurse=False)
     logging.debug('SVN: Got repository information for %s: %s' %
                   (path, info))
 except ClientError, e:
 ...
         raise RepositoryNotFoundError()

 I fired up a python shell and can now reproduce the error:
 pysvn._pysvn_2_4.ClientError: URL 'http://svn.company.net/svn/
 repositories/company' is malformed or the scheme or host or path is
 missing

 I guess that's a good first step.  It seems like this must be some
 problem with pysvn, the svn client/libraries, the neon library
 (LD_LIBRARY_PATH?), or the configuration of our svn server.  I'm not
 really sure where to start looking next, though.  Maybe I'll try
 installing ReviewBoard on my laptop and have it point to our SVN
 server.  That might at least tell me if it's the client or server.

 -James

 On Oct 21, 7:00 pm, James jbaldass...@gmail.com wrote:

  I went into the admin UI, removed the SVN repository, and then tried
  to add it back in, but it keeps failing.  In the server logs I see:

  ERROR - SVN: Failed to get repository information 
  forhttp://svn.company.net/svn/repositories/company/:URL'http://
  svn.company.net/svn/repositories/company' is malformed or the scheme
   or host or path is missing

  On the machine where ReviewBoard is running (which also happens to be
  where SVN is running) I did the following to make sure that it can
  talk to SVN, resolve hostnames, etc.:

  svn cohttp://svn.company.net/svn/repositories/company/project/trunk
  project

  This worked fine, so I guess SVN is working ok.  Here's the output of
  svn --version in case that helps:

  --
  svn, version 1.6.11 (r934486)
     compiled Apr 20 2010, 00:24:22

  Copyright (C) 2000-2009 CollabNet.
  Subversion is open source software, seehttp://subversion.tigris.org/
  This product includes software developed by CollabNet 
  (http://www.Collab.Net/).

  The following repository access (RA) modules are available:

  * ra_neon : Module for accessing a repository via WebDAV protocol
  using Neon.
    - handles 'http' scheme
    - handles 'https' scheme
  * ra_svn : Module for accessing a repository using the svn network
  protocol.
    - with Cyrus SASL authentication
    - handles 'svn' scheme
  * ra_local : Module for accessing a repository on local disk.
    - handles 'file' scheme
  --

  I wonder if something with the basic auth on the SVN DAV server is
  causing problems?  Does RB/SVN need to do an HTTP PROPFIND or OPTIONS
  without authenticating?

  -James

  On Oct 21, 5:33 pm, Christian Hammond chip...@chipx86.com wrote:

   Hi,

   Yeah, got the URL, but nothing stands out as being wrong. That's very
   strange.

   Can you go into the admin UI, click on Repositories - your SVN 
   repository,
   and resave it? That should re-check the server for validity. If that 
   fails,
   we know something is definitely wrong there with the repository path.

   Is the path set to the root of the SVN repository, or some location within
   it?

   I haven't seen that problem with git svn find-rev. What version of git are
   you using? I know other people (ourselves included at one point) were 
   using
   git-svn locally, with Review Board hosted in SVN.

   Christian

   --
   Christian Hammond - chip...@chipx86.com
   Review Board -http://www.reviewboard.org
   VMware, Inc. -http://www.vmware.com

   On Thu, Oct 21, 2010 at 12:00 PM, James jbaldass...@gmail.com wrote:
Hi Christian,

Did you get that URL I sent you?  Did it look strange in any way?

I've also been experimenting with git-svn + post-review, hoping that
might work better.  Unfortunately, it doesn't, but at least it's a
different problem:

$ post-review -dn
 svn info
 git rev-parse --git-dir
 git symbolic-ref -q HEAD
 git svn info
 repository info: 
 Path:http://svn.company.net/svn/repositories/company,
Base path: /Project/trunk, Supports changesets: False
 git merge-base master refs/heads/reviewboard-test
 git diff --no-color --no-prefix -r -u
f58148b4094952c076861bcf4a9714ed7093d9ad..refs/heads/reviewboard-test
 git svn find-rev f58148b4094952c076861bcf4a9714ed7093d9ad
None

The issue is that git svn find-rev returns nothing when passed a git
revision.  It works when passed a subversion revision number, though.
Have you seen that before?  Google didn't turn up anything.

-James

On Oct 20, 8:12 am, James 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread James
Well I finally got it working.  After narrowing down the problem to
pysvn I checked out the pysvn shared library with ldd and noticed that
it was linked against two different versions of libneon.  I removed
the conflicting version of the libneon library, recompiled pysvn, and
now everything is working!

-James


On Oct 21, 8:45 pm, James jbaldass...@gmail.com wrote:
 I installed RB on my laptop, pointed it at the same SVN server, and it
 works fine.  There must be something wrong with the SVN client,
 libraries, or pysvn on that server.  I'm not sure what the problem is
 there, but I'll either try a clean install on that machine or just
 install it on a different server.

 Thanks,
 James

 On Oct 21, 7:42 pm, James jbaldass...@gmail.com wrote:

  I traced the problem to line 287 in svn.py:

  try:
      info = client.info2(path, recurse=False)
      logging.debug('SVN: Got repository information for %s: %s' %
                    (path, info))
  except ClientError, e:
  ...
          raise RepositoryNotFoundError()

  I fired up a python shell and can now reproduce the error:
  pysvn._pysvn_2_4.ClientError: URL 'http://svn.company.net/svn/
  repositories/company' is malformed or the scheme or host or path is
  missing

  I guess that's a good first step.  It seems like this must be some
  problem with pysvn, the svn client/libraries, the neon library
  (LD_LIBRARY_PATH?), or the configuration of our svn server.  I'm not
  really sure where to start looking next, though.  Maybe I'll try
  installing ReviewBoard on my laptop and have it point to our SVN
  server.  That might at least tell me if it's the client or server.

  -James

  On Oct 21, 7:00 pm, James jbaldass...@gmail.com wrote:

   I went into the admin UI, removed the SVN repository, and then tried
   to add it back in, but it keeps failing.  In the server logs I see:

   ERROR - SVN: Failed to get repository information 
   forhttp://svn.company.net/svn/repositories/company/:URL'http://
   svn.company.net/svn/repositories/company' is malformed or the scheme
    or host or path is missing

   On the machine where ReviewBoard is running (which also happens to be
   where SVN is running) I did the following to make sure that it can
   talk to SVN, resolve hostnames, etc.:

   svn cohttp://svn.company.net/svn/repositories/company/project/trunk
   project

   This worked fine, so I guess SVN is working ok.  Here's the output of
   svn --version in case that helps:

   --
   svn, version 1.6.11 (r934486)
      compiled Apr 20 2010, 00:24:22

   Copyright (C) 2000-2009 CollabNet.
   Subversion is open source software, seehttp://subversion.tigris.org/
   This product includes software developed by CollabNet 
   (http://www.Collab.Net/).

   The following repository access (RA) modules are available:

   * ra_neon : Module for accessing a repository via WebDAV protocol
   using Neon.
     - handles 'http' scheme
     - handles 'https' scheme
   * ra_svn : Module for accessing a repository using the svn network
   protocol.
     - with Cyrus SASL authentication
     - handles 'svn' scheme
   * ra_local : Module for accessing a repository on local disk.
     - handles 'file' scheme
   --

   I wonder if something with the basic auth on the SVN DAV server is
   causing problems?  Does RB/SVN need to do an HTTP PROPFIND or OPTIONS
   without authenticating?

   -James

   On Oct 21, 5:33 pm, Christian Hammond chip...@chipx86.com wrote:

Hi,

Yeah, got the URL, but nothing stands out as being wrong. That's very
strange.

Can you go into the admin UI, click on Repositories - your SVN 
repository,
and resave it? That should re-check the server for validity. If that 
fails,
we know something is definitely wrong there with the repository path.

Is the path set to the root of the SVN repository, or some location 
within
it?

I haven't seen that problem with git svn find-rev. What version of git 
are
you using? I know other people (ourselves included at one point) were 
using
git-svn locally, with Review Board hosted in SVN.

Christian

--
Christian Hammond - chip...@chipx86.com
Review Board -http://www.reviewboard.org
VMware, Inc. -http://www.vmware.com

On Thu, Oct 21, 2010 at 12:00 PM, James jbaldass...@gmail.com wrote:
 Hi Christian,

 Did you get that URL I sent you?  Did it look strange in any way?

 I've also been experimenting with git-svn + post-review, hoping that
 might work better.  Unfortunately, it doesn't, but at least it's a
 different problem:

 $ post-review -dn
  svn info
  git rev-parse --git-dir
  git symbolic-ref -q HEAD
  git svn info
  repository info: 
  Path:http://svn.company.net/svn/repositories/company,
 Base path: /Project/trunk, Supports changesets: False
  git merge-base 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-21 Thread Christian Hammond
Excellent! That was sure bound to cause problems :)

Christian

-- 
Christian Hammond - chip...@chipx86.com
Review Board - http://www.reviewboard.org
VMware, Inc. - http://www.vmware.com


On Thu, Oct 21, 2010 at 8:37 PM, James jbaldass...@gmail.com wrote:

 Well I finally got it working.  After narrowing down the problem to
 pysvn I checked out the pysvn shared library with ldd and noticed that
 it was linked against two different versions of libneon.  I removed
 the conflicting version of the libneon library, recompiled pysvn, and
 now everything is working!

 -James


 On Oct 21, 8:45 pm, James jbaldass...@gmail.com wrote:
  I installed RB on my laptop, pointed it at the same SVN server, and it
  works fine.  There must be something wrong with the SVN client,
  libraries, or pysvn on that server.  I'm not sure what the problem is
  there, but I'll either try a clean install on that machine or just
  install it on a different server.
 
  Thanks,
  James
 
  On Oct 21, 7:42 pm, James jbaldass...@gmail.com wrote:
 
   I traced the problem to line 287 in svn.py:
 
   try:
   info = client.info2(path, recurse=False)
   logging.debug('SVN: Got repository information for %s: %s' %
 (path, info))
   except ClientError, e:
   ...
   raise RepositoryNotFoundError()
 
   I fired up a python shell and can now reproduce the error:
   pysvn._pysvn_2_4.ClientError: URL 'http://svn.company.net/svn/
   repositories/company' is malformed or the scheme or host or path is
   missing
 
   I guess that's a good first step.  It seems like this must be some
   problem with pysvn, the svn client/libraries, the neon library
   (LD_LIBRARY_PATH?), or the configuration of our svn server.  I'm not
   really sure where to start looking next, though.  Maybe I'll try
   installing ReviewBoard on my laptop and have it point to our SVN
   server.  That might at least tell me if it's the client or server.
 
   -James
 
   On Oct 21, 7:00 pm, James jbaldass...@gmail.com wrote:
 
I went into the admin UI, removed the SVN repository, and then tried
to add it back in, but it keeps failing.  In the server logs I see:
 
ERROR - SVN: Failed to get repository information forhttp://
 svn.company.net/svn/repositories/company/:URL'http://http://svn.company.net/svn/repositories/company/:URL%27http://
svn.company.net/svn/repositories/company' is malformed or the scheme
 or host or path is missing
 
On the machine where ReviewBoard is running (which also happens to be
where SVN is running) I did the following to make sure that it can
talk to SVN, resolve hostnames, etc.:
 
svn cohttp://svn.company.net/svn/repositories/company/project/trunk
project
 
This worked fine, so I guess SVN is working ok.  Here's the output of
svn --version in case that helps:
 
--
svn, version 1.6.11 (r934486)
   compiled Apr 20 2010, 00:24:22
 
Copyright (C) 2000-2009 CollabNet.
Subversion is open source software, seehttp://subversion.tigris.org/
This product includes software developed by CollabNet (
 http://www.Collab.Net/).
 
The following repository access (RA) modules are available:
 
* ra_neon : Module for accessing a repository via WebDAV protocol
using Neon.
  - handles 'http' scheme
  - handles 'https' scheme
* ra_svn : Module for accessing a repository using the svn network
protocol.
  - with Cyrus SASL authentication
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme
--
 
I wonder if something with the basic auth on the SVN DAV server is
causing problems?  Does RB/SVN need to do an HTTP PROPFIND or OPTIONS
without authenticating?
 
-James
 
On Oct 21, 5:33 pm, Christian Hammond chip...@chipx86.com wrote:
 
 Hi,
 
 Yeah, got the URL, but nothing stands out as being wrong. That's
 very
 strange.
 
 Can you go into the admin UI, click on Repositories - your SVN
 repository,
 and resave it? That should re-check the server for validity. If
 that fails,
 we know something is definitely wrong there with the repository
 path.
 
 Is the path set to the root of the SVN repository, or some location
 within
 it?
 
 I haven't seen that problem with git svn find-rev. What version of
 git are
 you using? I know other people (ourselves included at one point)
 were using
 git-svn locally, with Review Board hosted in SVN.
 
 Christian
 
 --
 Christian Hammond - chip...@chipx86.com
 Review Board -http://www.reviewboard.org
 VMware, Inc. -http://www.vmware.com
 
 On Thu, Oct 21, 2010 at 12:00 PM, James jbaldass...@gmail.com
 wrote:
  Hi Christian,
 
  Did you get that URL I sent you?  Did it look strange in any way?
 
  I've also been experimenting with 

Re: SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is malformed or the scheme or host or path is missing

2010-10-19 Thread Christian Hammond
Hi James,

That is indeed strange. Without seeing the URL, it's hard to say. Is this
indeed a fully-qualified domain?

Just as a sanity check, would you feel comfortable e-mailing me privately
the full path?

Christian

-- 
Christian Hammond - chip...@chipx86.com
Review Board - http://www.reviewboard.org
VMware, Inc. - http://www.vmware.com


On Tue, Oct 19, 2010 at 4:26 PM, James jbaldass...@gmail.com wrote:

 Hi,

 I seem to be having the same problem as is described in this post:

 http://groups.google.com/group/reviewboard/browse_thread/thread/96cc585e78b71033/904fb717a35f9f2c

 On the client (post-review) side I see this:

 ---

 Enter username and password for Please Enter Your [DOMAIN] LDAP
 Credentials at reviewboard.domain.net
 Username: user
 Password:
  HTTP GETting /api/json/repositories/1/info/
  Got API Error 210 (HTTP code 200): There was an error fetching extended
 information for this repository.
  Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': u'fail',
 u'err': {u'msg': u'There was an error fetching extended information for this
 repository.', u'code': 210}}
  HTTP GETting /api/json/repositories/4/info/
  Got API Error 210 (HTTP code 200): There was an error fetching extended
 information for this repository.
  Error data: {u'deprecated': {u'in_version': u'1.5'}, u'stat': u'fail',
 u'err': {u'msg': u'There was an error fetching extended information for this
 repository.', u'code': 210}}
  Attempting to create review request on
 http://svn.domain.net/svn/repositories/repo for None
  HTTP POSTing to
 http://reviewboard.domain.net/api/json/reviewrequests/new/:
 {'repository_path': 'http://svn.domain.net/svn/repositories/repo'}
  Review request created
  Uploading diff, size: 18990
  HTTP POSTing to
 http://reviewboard.domain.net/api/json/reviewrequests/31/diff/new/:
 {'basedir': '/dir1/trunk'}
  Got API Error 105 (HTTP code 200): One or more fields had errors
  Error data: {u'fields': {u'path': [uURL '
 http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml' is
 malformed or the scheme or host or path is missing]}, u'stat': u'fail',
 u'err': {u'msg': u'One or more fields had errors', u'code': 105},
 u'deprecated': {u'in_version': u'1.5'}}

 Error uploading diff

 The generated diff file was empty. This usually means no files were
 modified in this change.

 ---

 On the server side i see this:

 ---

 2010-10-19 19:07:20,764 - DEBUG - DiffParser.parse: Beginning parse of
 diff, size = 18990
 2010-10-19 19:07:20,766 - DEBUG - DiffParser.parse: Finished parsing
 diff.
 2010-10-19 19:07:20,767 - ERROR - Error uploading new diff: URL
 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/dir2/file.xml'
 is malformed or the scheme or host or path is missing
 Traceback (most recent call last):
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/webapi/json.py, line 1169, in new_diff
request.FILES.get('parent_diff_path'))
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/reviews/forms.py, line 249, in create
history)
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/diffviewer/forms.py, line 62, in create
files = list(self._process_files(
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/diffviewer/forms.py, line 144, in _process_files
if (revision != PRE_CREATION and
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/scmtools/core.py, line 68, in file_exists
self.get_file(path, revision)
  File /usr/lib/python2.4/site-packages/ReviewBoard-1.5-py2.4.egg/
 reviewboard/scmtools/svn.py, line 144, in get_file
raise SCMError(e)
 SCMError: URL 'http://svn.domain.net/svn/repositories/repo/dir1/trunk/
 dir2/file.xmlhttp://svn.domain.net/svn/repositories/repo/dir1/trunk/%0Adir2/file.xml'
 is malformed or the scheme or host or path is missing

 ---

 I didn't find much after googling around for a while.  Most of the
 other people who encountered this error had spaces in their URLs or
 something weird like that.  My URLs look correct/normal, so I don't
 know what's causing this error.  Also, if I do svn info on that exact
 URL (or open it in my browser), it works fine.  I did get one review
 to actually post correctly (with an almost identical URL), so it has
 worked at least once.  Does anyone have any ideas what might be wrong?

 Thanks,
 James

 --
 Want to help the Review Board project? Donate today at
 http://www.reviewboard.org/donate/
 Happy user? Let us know at http://www.reviewboard.org/users/
 -~--~~~~--~~--~--~---
 To unsubscribe from this group, send email to
 reviewboard+unsubscr...@googlegroups.comreviewboard%2bunsubscr...@googlegroups.com
 For more options, visit this group at
 http://groups.google.com/group/reviewboard?hl=en

-- 
Want to help the Review Board project? Donate today at